/* pngusr.h - user configuraion
 */

#ifndef PNGUSR_H
#define PNGUSR_H

/* ---------------------------------- */

//Others
#define PNG_NO_MNG_FEATURES
#define PNG_NO_CONSOLE_IO
#define PNG_NO_USER_MEM
#define PNG_NO_SET_USER_LIMITS
#define PNG_USER_WIDTH_MAX	0x00FFFFFFL		/* 2^24-1 = 16777215 */
#define PNG_USER_HEIGHT_MAX	0x00FFFFFFL		/* 2^24-1 = 16777215 */
#define PNG_ZBUF_SIZE 65536L

//Read
//#define PNG_NO_READ_EXPAND //set_gray_124to8
#define PNG_NO_READ_SHIFT
//#define PNG_NO_READ_PACK //1,2,4to8palette
#define PNG_NO_READ_SWAP
#define PNG_NO_READ_PACKSWAP
#define PNG_NO_READ_INVERT
#define PNG_NO_READ_DITHER
#define PNG_NO_READ_BACKGROUND
//#define PNG_NO_READ_16_TO_8
//#define PNG_NO_READ_FILLER
#define PNG_NO_READ_GAMMA
#define PNG_NO_READ_GRAY_TO_RGB
#define PNG_NO_READ_SWAP_ALPHA
#define PNG_NO_READ_INVERT_ALPHA
//#define PNG_NO_READ_STRIP_ALPHA
//#define PNG_NO_READ_USER_TRANSFORM
#define PNG_NO_READ_RGB_TO_GRAY

#define PNG_NO_READ_bKGD
#define PNG_NO_READ_gAMA
#define PNG_NO_READ_tRNS
#define PNG_NO_READ_cHRM
#define PNG_NO_READ_hIST
#define PNG_NO_READ_iCCP
#define PNG_NO_READ_pCAL
#define PNG_NO_READ_sBIT
#define PNG_NO_READ_sCAL
#define PNG_NO_READ_sPLT
#define PNG_NO_READ_sRGB
#define PNG_NO_READ_tIME

#define PNG_NO_READ_UNKNOWN_CHUNKS
#define PNG_NO_HANDLE_AS_UNKNOWN
#define PNG_NO_READ_USER_CHUNKS
#define PNG_NO_READ_OPT_PLTE

#define PNG_READ_ANCILLARY_CHUNKS_NOT_SUPPORTED

//Write
#define PNG_NO_WRITE_SHIFT
#define PNG_NO_WRITE_PACK
#define PNG_NO_WRITE_SWAP
#define PNG_NO_WRITE_PACKSWAP
#define PNG_NO_WRITE_INVERT
//#define PNG_NO_WRITE_FILLER
#define PNG_NO_WRITE_SWAP_ALPHA
#define PNG_NO_WRITE_INVERT_ALPHA
#define PNG_NO_WRITE_USER_TRANSFORM
#define PNG_NO_WRITE_INTERLACING_SUPPORTED

#define PNG_WRITE_ANCILLARY_CHUNKS_NOT_SUPPORTED

#define PNG_NO_INFO_IMAGE

/* ---------------------------------- */

#endif	/* PNGUSR_H */
